c**********************************************************************
c
c                       ===================
c                       SUBROUTINE : INDEXX
c                       ===================
c
c       This subroutine indexes an array arrin of length n, i.e.
c       outputs the array indx such that arrin(indx(j)) is in 
c       decending order for j=1,2,...,n.  The input quantities n
c       and arrin are not changed.
c
c**********************************************************************
c
      subroutine indexx(n,arrin,indx)
c
      include 'stddim.inc'
c
      integer i,j,l,ir,indxt,n,indx(n),ws(xdimg)
      double precision q,arrin(n)
c
c######################################################################
c
      do 11 j=1,n
 11   ws(j)=j
      l=n/2+1
      ir=n
 10   continue
      if (l.gt.1) then
        l=l-1
        indxt=ws(l)
        q=arrin(indxt)
      else
        indxt=ws(ir)
        q=arrin(indxt)
        ws(ir)=ws(1)
        ir=ir-1
        if (ir.eq.1) then
          ws(1)=indxt
          go to 100
        end if
      end if
      i=l
      j=l+l
 20   if (j.le.ir) then
        if (j.lt.ir) then
          if (arrin(ws(j)).lt.arrin(ws(j+1))) j=j+1
        end if
        if (q.lt.arrin(ws(j))) then
          ws(i)=ws(j)
          i=j
          j=j+j
        else
          j=ir+1
        end if
        go to 20
      end if
      ws(i)=indxt
      go to 10
c
c     reverse index
c
 100  continue
c
      do 110 j=1,n
 110    indx(j)=ws(n-j+1)
      return
      end
