c         NLS VERSION 20 May 1992
c**********************************************************************
c
c             complex double precision vector scale and add
c             ---------------------------------------------
c
c        This subroutine will update a complex double precision
c        vector Y by the formula,
c
c                          Y=a*X+Y ,
c
c        where a is a complex double precision constant and X is a
c        complex double presion vector.
c
c       Includes:
c               nlsdim.inc
c               rndoff.inc
c               
c       Uses:
c
c**********************************************************************
c
      subroutine zaxpy(x,y,scale,ndim)
c
      include 'nlsdim.inc'
      include 'rndoff.inc'
c
      integer ndim
      complex*16 scale
c
      complex*16 x,y
      dimension x(mxdim),y(mxdim)
c
      integer iel
      complex*16 czero
      parameter (czero=(0.0D0,0.0D0))
c
c######################################################################
c
      do 10 iel=1,ndim
        y(iel)=scale*x(iel)+y(iel)
c*djs        if (abs(y(iel)).lt.rndoff) y(iel)=czero
 10   continue
c
      return
      end
