c----------------------------------------------------------------------
c                    =========================
c                       common block INDEXF
c                    =========================
c
c  Common block containing a list of the basis set indices
c  for off-diagonal and diagonal subspace.
c
c----------------------------------------------------------------------
c
      integer jqe1,pi1,qi1,l1,jk1,k1,jm1,m1
      common /indexo/ jqe1(mxdim),pi1(mxdim),qi1(mxdim),l1(mxdim),
     #        jk1(mxdim),k1(mxdim),jm1(mxdim),m1(mxdim)
c
      integer djqe1,dpi1,dqi1,dl1,djk1,dk1,djm1,dm1
      common /indexd/ djqe1(mxdim),dpi1(mxdim),dqi1(mxdim),dl1(mxdim),
     #        djk1(mxdim),dk1(mxdim),djm1(mxdim),dm1(mxdim)
c
c----------------------------------------------------------------------
c                    =========================
c                       common block PULSEP
c                    =========================
c
c  Common block containining the pulse propagator
c
c  pp(i)  : the actual pulse propagator element for the i-th basis
c           element in the diagonal space.
c  pid(j) : the number of the corresponding basis elements in the
c           diagonal space for the j-th basis element in off-diagonal
c           basis.  It can be either 1 or 2.
c
c----------------------------------------------------------------------
c
      integer pid
      double precision pp
      common /pulsep/ pid(mxdim),pp(mxdim)
