c**********************************************************************
c
      subroutine wrfprm(prname,lth,lu)
c
      include 'rndoff.inc'
      include 'eprdat.inc'
c
      character*30 prname
      integer lu,lth
c
      integer i,j
c
      double precision zero
      parameter (zero=0.0D0) 
c
c######################################################################
c
      write (lu,3000) prname(:lth)
c
      write (lu,2000) gxx,gyy,gzz
      write (lu,2010) in2
      if (in2.ne.0) then
        write (lu,2020) axx,ayy,azz
        write (lu,2021) gamman
      end if
      write (lu,2030) b0
      write (lu,3010) ipdf
      write (lu,2050) dx,dy,dz
      if (ipdf.ne.0) then
        write (lu,3020) tl,tkxy,tkzz
        write (lu,3030) pl,pkxy,pkzz
      end if
      if ((ipdf.eq.2).and.(ist.eq.0).and.(abs(tl).lt.rndoff).and.
     #     (abs(tkxy).lt.rndoff).and.(abs(tkzz).lt.rndoff)) then
        write (lu,2072) djfprp,djf
      else if (ist.ne.0) then
        write (lu,3040) ist,djf
      end if
      write (lu,2100) oss
      write (lu,2105) nort
      write (lu,2110) ipt
      if (ipt.ne.0) then
        write (lu,2120)
        do 910 i=1,ipt
          write (lu,2130) i,(ixp(i,j),j=1,2),cxp(i)
 910    continue
        if (nort.le.1) write (lu,2140) psi
      end if
      write (lu,2150) itd
      if (itd.eq.1) write (lu,2160) ald,bed,gad
      write (lu,2161) itm
      if (itm.eq.1) write (lu,2162) alm,bem,gam
      write(lu,2165) t2edi,t2ndi,t2efi,t1edi,t1ndi
      write (lu,2170) lemx,lomx,kmx,mmx,ipnmx
      write (lu,2172) lkmtrc
      if (lkmtrc.eq.1) write (lu,2173) lkmdff
      write (lu,2300) ndim,ptol
      write (lu,2180) itype
      if (itype.eq.4) then
        write (lu,2197) nev
        go to 999
      end if
      if (itype.le.3) write (lu,2190) nstep
      if ( (itype.le.1).or.(itype.eq.3) ) then
        write (lu,2195) (nmev(i),i=1,10)
      end if
      if (itype.ge.1) then
        if (itype.eq.2) write (lu,2198) ptol
        if (itype.eq.3) write (lu,2199) mxcg
        if (itype.le.3) write (lu,2200) cgtol
        if ((itype.lt.4).or.((itype.eq.5).and.(ips.eq.1)))
     #         write (lu,2210) shiftr,shifti
      end if
      if ((itype.eq.2).or.((itype.eq.5).and.(ips.eq.1))) then
        write (lu,3050) fieldi,fieldf
        write (lu,3060) nfield
      end if
 999  if (ips.eq.0) then
        write (lu,2220) int1,stt1,nstp
        write (lu,2230) nevo
      end if
      write (lu,1000) 
c
      return 
c
c======================================================================
c               format statements
c======================================================================
c
 1000 format(2x,70('#'),/)
c
 2000 format(2x,'g-tensor [gxx,gyy,gzz] : ',3(g13.6,2x))
 2010 format(2x,'twice the nuclear spin [in2] : ',i2)
 2020 format(2x,'A-tensor [axx,ayy,azz] (gauss) : ',3(g13.6,2x))
 2021 format(2x,'Nuclear gyromagnetic ratio [gamman] (s*gauss)^-1 : ',
     #      g13.6)
 2030 format(2x,'static field [B0] (gauss) : ',g13.6)
c
 2050 format(2x,'diff. tensor [dx,dy,dz] (1/sec) =',3(1p,e13.6,1x))
 2072 format(2x,'diffusion tensor in the director frame ',
     #     '[djfprp,djf] (1/sec)',/,5x,2(g13.6,2x))
c
 2100 format(2x,'Heisenberg spin exchange frequency [oss] = ',g13.6)
c
 2105 format(2x,'number of orientations for MOMD [nort] = ',i3)
 2110 format(2x,'number of terms in the potential [ipt] = ',i1)
 2120 format(2x,'potential coefficients : ')
 2130 format(10x,'ipt = ',i1,2x,'[l,k,coef.] = ',2(i1,2x),g13.6)
 2140 format(2x,'angle between B0 and local director [psi] ',
     #     '(degrees) : ',g13.6)
c
 2150 format(2x,'diffusion tilt index [itd] = ',i1)
 2160 format(2x,'diffusion tilt [ald,bed,gad] (degrees) = ',
     #       3(g13.6,2x))
 2161 format(2x,'magnetic tilt index [itm] = ',i1)
 2162 format(2x,'magnetic tilt [alm,bem,gam] (degrees) = ',
     #       3(g13.6,2x))
c
 2165 format(2x,'1/T20e,',5x,'1/T20n,',5x,'1/T22e,',5x,'1/T1e,',
     #       6x,'1/T1n   (1/sec) = ',
     #       /,5(1p,e10.3,2x))
c
 2170 format(2x,'truncation values [lemx,lomx,kmx,'
     #     ,'mmx,ipnmx] : ',6(i3,2x))
 2172 format(2x,'L+K+M truncation rule flag [lkmtrc] : ',i2)
 2173 format(2x,'L+K+M truncation bandwidth [lkmdff] : ',i3)
c
 2180 format(2x,'cal. type (0=L,1=CG,2=FS,3=LCG,4=ESA,5=EGV)',
     #       ' [itype] : ',i1)
 2190 format(2x,'number of Lanczos/CG steps [nstep] : ',i4)
 2195 format(2x,'steps to check the convergence [nmev] : ',/,
     #       10x,10i5)
 2197 format(2x,'# of significant eigenvalues [nev] ; ',i4)
 2198 format(2x,'pruning tolerance [ptol] : ',1p,e10.4)
 2199 format(2x,'# of CG steps in eigenvector calc. [mxcg] : ',i4)
 2200 format(2x,'error tolerance for residual [cgtol] : ',g13.4)
 2210 format(2x,'origin shift [shiftr,shifti] : ',2(2x,g13.6))
 2220 format(2x,'t1 for starting vector [int1,stt1,nstp]',
     #       ' : ',i4,2x,i3,2x,i3)
 2230 format(2x,'# of egvalues used in stv calc. [nevo] : ',i4)
 2300 format(2x,'Dim. of matrix [ndim] = ',i4,
     #       '  with pruning tolerance [ptol] = ',1p,e8.2)
 3000 format(/,2x,25('#'),3x,'file : ',a,3x,25('#'),/)
 3010 format(2x,'diffusion parameter [ipdf] = ',i1)
 3020 format(2x,'residence times [tl,tkxy,tkzz] : ',
     #     3(g13.6,2x))
 3030 format(2x,'non-Brownian exponents [pl,pkxy,pkzz] : ',/,
     #     10x,'0.5 --> free',/,10x,'1.0 --> jump',/,
     #     2x,3(f6.2,2x))
 3040 format(2x,'discrete jumps parameters [ist,djf] : ',
     #     i2,2x,g13.6)
 3050 format(2x,'field sweep [fieldi,fieldf] ',
     #     '(gauss) : ',g13.6,2x,g13.6)
 3060 format(2x,'number of field positions [nfield] : ',i3)
c
c======================================================================
c
      end
