c  VERSION 1.0  (NLSP version)   4/28/93
c----------------------------------------------------------------------
c                    =========================
c                       subroutine WRFIT
c                    =========================
c
c Writes the NLS fit 2D spectrum into the file.
c
c----------------------------------------------------------------------
      subroutine wrfit( spec,npt1,npt2,inif2,res2,inif1,res1,
     #                  amin,amax,name,lth )
      implicit none
c
      include 'stdio.inc'
c
      integer i,j,npt1,npt2,lth
      double precision inif2,res2,inif1,res1,amin,amax,spec(npt1,npt2)
c
      character*30 xaxisf,yaxisf,name
      data xaxisf/'f2 (MHz)'/
      data yaxisf/'f1 (MHz)'/
c
c######################################################################
c
      open(unit=ludisk,file=name,status='unknown',
     #     access='sequential',form='formatted')
      write (ludisk,3100) 0
      write (ludisk,3110) npt2,1,npt2,xaxisf
      write (ludisk,3110) npt1,1,npt1,yaxisf
      write (ludisk,3120) inif2,res2,inif1,res1,amin,amax
      write (ludisk,3120) ((spec(i,j),j=1,npt2),i=1,npt1)
      close (unit=ludisk)
c
      return
c
c #### format statements ########################################
c
 3100 format(i10)
 3110 format(3i10,5x,a30)
 3120 format(8e10.4)
c
      end
